<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 08/25/2003 *
 * ===============                              Last change: 10/23/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : footer.php                                       *
 * -------------------------------------------------------------------- *
 * Short description : Add the HTML code for the footer                 *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Den Fuss des HTML-Codes hinzufuegen              *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Global variable stuff
// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), '/inc') + 4) . '/security.php';
	require($INC);
} // END - if

// Footer disabled or already sent?
// 1234      5                       54    45                              5    5                              543    3                              321
if ((((!isset($GLOBALS['footer_sent'])) || (($GLOBALS['footer_sent'] != "1") && ($GLOBALS['footer_sent'] != "2"))) && ($GLOBALS['output_mode'] != "1"))) {
	// Output the generated HTML code or do nothing in direct-mode
	if (getTotalFatalErrors() > 0) {
		// Output fatal error messages
		LOAD_INC_ONCE("inc/fatal_errors.php");
	} // END - if

	// Shall we display the copyright notice?
	if ((!REQUEST_ISSET_GET(('frame'))) && (basename($_SERVER['PHP_SELF']) != "mailid_top.php") && (isBooleanConstantAndTrue('WRITE_FOOTER')) && ($GLOBALS['header_sent'] == "2")) {
		// Backlink enabled?
		if (isBooleanConstantAndTrue('ENABLE_BACKLINK')) {
			// Copyright with backlink, thanks! :-)
			LOAD_TEMPLATE("copyright_backlink");
		} else {
			// No backlink in Copyright note
			LOAD_TEMPLATE("copyright");
		}
	} // END - if

	// Shall we display the parsing time and number of queries?
	if ((GET_EXT_VERSION('sql_patches') >= '0.4.1') && (getConfig('show_timings') == 'Y') && (!REQUEST_ISSET_GET(('frame'))) && ($GLOBALS['header_sent'] == "2")) {
		// Then display it here
		DISPLAY_PARSING_TIME_FOOTER();
	} // END - if

	// Load page footer
	LOAD_TEMPLATE("page_footer");

	// And the last closing HTML tag
	OUTPUT_HTML("</html>");
} // END - if

// Footer has been reached
$GLOBALS['footer_sent'] = 1;

// Output HTML code
OUTPUT_HTML("");

// Shutdown
shutdown();

//
?>
